# This file configures zgv's Makefiles. You should edit the settings
# below as needed.

# If you want to tune the optimisation used (you shouldn't need to,
# but I'm sure some speed demons out there will want to ;-)), edit
# CFLAGS in src/Makefile.


# --------------------- Installation options ----------------------

# Set BINDIR to directory for binaries,
# INFODIR to directory for info files,
# MANDIR to directory for man page.
# Usually it will be simpler to just set PREFIX.
#
PREFIX=/usr

BINDIR=$(PREFIX)/bin
INFODIR=$(PREFIX)/info
MANDIR=$(PREFIX)/man/man1

# Normally `make install' will update your `dir' file (in INFODIR),
# using a copy of texinfo's `install-info' bundled with zgv.
#
# But if you have a different way of keeping `dir' up-to-date (for
# example, perhaps your distribution automatically handles this for
# you) you should uncomment this to prevent `make install' doing that.
#
#INFO_DIR_UPDATE=no


# ------------------ Library-related options ----------------------

# Note that zgv now uses libraries in the conventional manner (using
# e.g. `-ljpeg' to link against the JPEG library), so you now have to
# have any required libraries installed. (Most people can just install
# the relevant packages from their Linux distribution.)

# Uncomment this if you want zgv to support Kodak's Photo-CD format
# (`.pcd' files). This requires libpcd (part of the xpcd package).
#
#PCDDEF=-DPCD_SUPPORT


# -------------------- Miscellaneous options -----------------------

# Name of X's named-colour file (for XPM support); not required,
# but if the file's not found, only "black" and "white" and hex
# colours will be recognised, which will mean many XPMs won't be
# readable. This setting should be ok.
#
RGB_DB=/usr/lib/X11/rgb.txt

# Finally, an option for `make dvi' in the `doc' directory. You only need
# worry about what this is set to if you plan to make a printed manual.
#
# Normally the .dvi file created will be formatted for printing on A4
# paper (210x297mm, 8.27x11.69"); if you'll be printing on non-A4,
# you'll probably want to comment this out. (It'll still warn you to
# edit this file when you do `make dvi', but that's only because
# doc/Makefile isn't as smart about that as it should be. :-))
#
USE_A4_DEF=-t @afourpaper
